Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 760582 - dev-vcs/git-cola-3.8 fails tests
Summary: dev-vcs/git-cola-3.8 fails tests
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: David
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks:
 
Reported: 2020-12-18 07:33 UTC by Agostino Sarubbo
Modified: 2021-03-05 18:36 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,38.35 KB, text/plain)
2020-12-18 07:33 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-12-18 07:33:52 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: dev-vcs/git-cola-3.8 fails tests.
Discovered on: amd64 (internal ref: ci)
Comment 1 Agostino Sarubbo gentoo-dev 2020-12-18 07:33:55 UTC
Created attachment 678667 [details]
build.log

build log and emerge --info
Comment 2 Agostino Sarubbo gentoo-dev 2020-12-18 07:33:56 UTC
Possible context of error(s):

/var/tmp/portage/dev-vcs/git-cola-3.8/temp/environment: line 3023: warning: setlocale: LC_ALL: cannot change locale (en_US.utf8): No such file or directory
Comment 3 Martin Gysel (bearsh) 2020-12-18 09:47:44 UTC
David, the ebuild sets LC_ALL="en_US.utf8" when running tests. should we change this to LC_ALL="C.utf8"? "C" should always be present. what do you think?
Comment 4 David 2020-12-20 13:22:55 UTC
(In reply to Martin Gysel (bearsh) from comment #3)
> David, the ebuild sets LC_ALL="en_US.utf8" when running tests. should we
> change this to LC_ALL="C.utf8"? "C" should always be present. what do you
> think?

Sounds like a good idea. As it don't seems a big problem maybe we can fix it with the next version bump??
Comment 5 Larry the Git Cow gentoo-dev 2021-03-05 18:36:31 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=db5b4850fd48a33675977f8fdab6a320dcdd9500

commit db5b4850fd48a33675977f8fdab6a320dcdd9500
Author:     David Roman <davidroman96@gmail.com>
AuthorDate: 2021-03-02 21:28:46 +0000
Commit:     Joonas Niilola <juippis@gentoo.org>
CommitDate: 2021-03-05 18:36:25 +0000

    dev-vcs/git-cola: verbump to 3.9
    
    Closes: https://bugs.gentoo.org/760582
    Package-Manager: Portage-3.0.15, Repoman-3.0.2
    Signed-off-by: David Roman <davidroman96@gmail.com>
    Closes: https://github.com/gentoo/gentoo/pull/19743
    Signed-off-by: Joonas Niilola <juippis@gentoo.org>

 dev-vcs/git-cola/Manifest            |   1 +
 dev-vcs/git-cola/git-cola-3.9.ebuild | 110 +++++++++++++++++++++++++++++++++++
 2 files changed, 111 insertions(+)